YAPET2CSV(1)

NAME
yapet2csv - convert YAPET file to CSV file

SYNOPSIS

yapet2csv [[-c] [-h] [-V]] | [[-H] | [-p password] | [-q] [-s separator]] src dst

DESCRIPTION

Convert a YAPET file to a CSV file. The source file specified by src will not be modified.

The resulting CSV file dst has the following format:
Column # | YAPET record field
1 | Record Name
2 | Host Name
3 | User Name
4 | Password
5 | Comment

OPTIONS

-h
    Show help.

-c
    Show copyright.

-V
    Show version.

-H
    Add header line to CSV file.

-p
    Use the master password password provided to decrypt src. The use of this option is not recommended for security reasons. By default, yapet2csv prompts for the master password.

-q
    Do not produce verbose output, except for error messages. By default, yapet2csv will print a period for each converted password record to stdout.

src
    Source YAPET fiel name which will be converted to CSV and stored in dst. If the file path does not end in .pet, yapet2csv will append .pet to the operand.

dst
    Pathname where the converted YAPET file will be stored. The file must not exist prior to invoking yapet2csv.

EXIT STATUS

0
    Successful completion.

1
    Error while parsing command line arguments.

2
    File dst already exists.

3
    An error occurred.

BUGS

Please report bugs to

AUTHORS

Rafael Ostertag

SEE ALSO

yapet(1), csv2yapet(1)